@import "./src/lib/mixins/button_reset";

/* Panel action ================ */

.panel-action {
  display: flex;
}

.panel-action__item {
  position: relative; // for tooltip-info
  padding-top: 10px;
  padding-bottom: 10px;

  @include mq("tablet-large", "max") {
    position: static;
  }

  & + .panel-action__item {
    margin-left: 36px;

    @include mq("laptop-small", "max") {
      margin-left: 30px;
    }

    @include mq("tablet-large", "max") {
      margin-left: 0;
    }
  }

  &:hover {

    @include mq("tablet-large") {

      .tooltip-info {
        display: flex;
      }
    }
  }
}

.panel-action__item--hide-on-mobile {

  @include mq("phone", "max") {
    display: none;
  }
}

.panel-action__button {

  @include buttonReset();

  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  color: $color-white;
  font-size: $text-size-xxs;

  &:hover {
    color: $color-secondary;
  }

  //&:focus {
  //
  //  & + .tooltip-info {
  //    display: flex;
  //  }
  //}

  @include mq("tablet-large", "max") {
    padding: 0 15px;
  }

  @include mq("tablet-small", "max") {
    padding: 0 12px;

    &:focus {
      outline: none;
    }
  }

  .icon {
    max-width: 30px;
    max-height: 30px;

    @include mq("tablet-large", "max") {
      position: relative;
      z-index: 2;
      pointer-events: none;
    }

    @include mq("tablet", "max") {
      max-width: 20px;
      max-height: 20px;
    }
  }

  .panel-action__button-text {

    @include mq("tablet-large", "max") {
      position: relative;
      z-index: 2;
      pointer-events: none;
    }

    @include mq("phone", "max") {
      display: none;
    }

    + .icon {
      margin-left: 8px;

      @include mq("phone", "max") {
        margin-left: 0;
      }
    }
  }

  &::after {

    @include mq("tablet-large") {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      width: 50px;
      height: 50px;
      transform: translate(-50%, -50%);
    }
  }
}

// Tooltip info ----------------------------

.tooltip-info {
  position: absolute;
  top: 100%;
  left: 50%;
  display: none;
  flex-direction: column;
  min-width: 100px;
  padding: 15px;
  border-radius: $border-radius-main;
  background-color: $color-white;
  box-shadow: 1px 3px 7px rgba(0, 0, 0, .35);
  transform: translateX(-50%);

  @include mq("tablet-large", "max") {
    right: 0;
    left: auto;
    display: flex;
    width: 50%;
    padding: 25px;
    border-radius: 0 0 4px 4px;
    background-color: $color-primary-dark;
    box-shadow: none;
    opacity: 0;
    transform: translateY(0%);
    transition: all $transition-type $transition-time;
    pointer-events: none;
  }

  @include mq("tablet", "max") {
    width: 100%;
    padding: 15px;
  }
}

.tooltip-info--show {
  display: flex;

  @include mq("tablet-large", "max") {
    opacity: 1;
    pointer-events: auto;
  }
}

.tooltip-info__item {
  color: $color-gray-dark;
  font-size: 12px;

  & + .tooltip-info__item {
    margin-top: 15px;
  }

  @include mq("tablet-large", "max") {
    color: $color-white;
    font-size: 16px;
  }
}

.tooltip-info__label {
  font-weight: $text-weight-semibold;
  white-space: nowrap;
}

.tooltip-info__contact,
.tooltip-info__link-call,
.tooltip-info__link {
  display: inline-flex;
  color: $color-gray-dark;
  font-size: 12px;
  text-decoration: underline;

  &:hover {
    text-decoration: none;
  }

  @include mq("tablet-large", "max") {
    color: $color-white;
    font-size: 16px;
  }
}

.tooltip-info__contact {
  text-decoration: none;

  @include mq("tablet-large", "max") {
    margin-top: 5px;
  }
}

.tooltip-info__contact,
.tooltip-info__link {
  white-space: nowrap;
}

.panel-action__button-toggle {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
  width: 100%;
  height: 85px;
  transform: translate(-50%, -50%);

  @include mq("tablet-large") {
    display: none;
  }

  @include mq("tablet", "max") {
    height: 70px;
  }

  @include mq("phone", "max") {
    height: 56px;
  }
}

.panel-action__button-toggle--selected {
  background-color: $color-primary-dark;
}

.tooltip-info__form {
  width: 320px;

  @include mq("tablet-large", "max") {
    margin: 0 auto;
  }

  @include mq("tablet", "max") {
    width: 260px;
  }
}
// ---------------------------- end tooltip info

/* ================ end panel action */
